using GadgetCore;
using GadgetCore.API;
using HarmonyLib;
using System;
using System.Reflection;
using UnityEngine;

namespace CombatChipChest.Patches
{

  [HarmonyPatch(typeof(GameScript))]
  [HarmonyPatch("LoadGame")]
  [HarmonyGadget("CombatChipChest")]
  public static class Patch_GameScript_LoadGame
  {
    [HarmonyPrefix]
    public static void Prefix(GameScript __instance)
    {
      Core.combatChipStore.Load();
    }
  }
}